---
title: Element.clientWidth
slug: Web/API/Element/clientWidth
tags:
  - API
  - CSSOM View
  - NeedsMarkupWork
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>Element.clientWidth</strong></code> property is zero for inline elements and elements with no CSS; otherwise, it's the inner width of an element in pixels. It includes padding but excludes borders, margins, and vertical scrollbars (if present).</p>

<p>When <code>clientWidth</code> is used on the root element (the <code>&lt;html&gt;</code> element), (or on <code>&lt;body&gt;</code> if the document is in quirks mode), the viewport's width (excluding any scrollbar) is returned. <a href="https://www.w3.org/TR/2016/WD-cssom-view-1-20160317/#dom-element-clientwidth">This is a special case of <code>clientWidth</code></a>.</p>

<div class="note">
<p><strong>Note:</strong> This property will round the value to an integer. If you need a fractional value, use {{ domxref("element.getBoundingClientRect()") }}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>intElemClientWidth</var> = <var>element</var>.clientWidth;</pre>

<p><code><var>intElemClientWidth</var></code> is an integer corresponding to the <code>clientWidth</code> of <code><var>element</var></code> in pixels. The <code>clientWidth</code> property is read–only.</p>

<h2 id="Example">Example</h2>

<p><img alt="Image:Dimensions-client.png" class="internal" src="/@api/deki/files/185/=Dimensions-client.png"></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-element-clientwidth', 'clientWidth')}}</td>
   <td>{{Spec2("CSSOM View")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h3 id="Notes">Notes</h3>

<p><code>clientWidth</code> was first introduced in the MS IE DHTML object model.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.clientWidth")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLElement.offsetWidth")}}</li>
 <li>{{domxref("Element.scrollWidth")}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Object_Model/Determining_the_dimensions_of_elements">Determining the dimensions of elements</a></li>
</ul>
